Index: trunk/build/linux/lib/TLibCommon/makefile
===================================================================
--- trunk/build/linux/lib/TLibCommon/makefile	(revision 540)
+++ trunk/build/linux/lib/TLibCommon/makefile	(revision 713)
@@ -58,4 +58,5 @@
 			$(OBJ_DIR)/TComRdCostWeightPrediction.o \
 			$(OBJ_DIR)/TComUpsampleFilter.o \
+			$(OBJ_DIR)/TCom3DAsymLUT.o \
 
 LIBS				= -lpthread
Index: trunk/build/linux/lib/TLibEncoder/makefile
===================================================================
--- trunk/build/linux/lib/TLibEncoder/makefile	(revision 540)
+++ trunk/build/linux/lib/TLibEncoder/makefile	(revision 713)
@@ -52,4 +52,5 @@
 			$(OBJ_DIR)/WeightPredAnalysis.o \
 			$(OBJ_DIR)/TEncRateCtrl.o \
+			$(OBJ_DIR)/TEnc3DAsymLUT.o \
 
 LIBS				= -lpthread
Index: trunk/build/vc10/TAppDownConvert/TAppDownConvert.vcxproj
===================================================================
--- trunk/build/vc10/TAppDownConvert/TAppDownConvert.vcxproj	(revision 540)
+++ trunk/build/vc10/TAppDownConvert/TAppDownConvert.vcxproj	(revision 713)
@@ -82,4 +82,5 @@
       <WarningLevel>Level3</WarningLevel>
       <Optimization>Disabled</Optimization>
+      <PreprocessorDefinitions>_MBCS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
@@ -102,4 +103,5 @@
       <FunctionLevelLinking>true</FunctionLevelLinking>
       <IntrinsicFunctions>true</IntrinsicFunctions>
+      <PreprocessorDefinitions>_MBCS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
     </ClCompile>
     <Link>
Index: trunk/build/vc10/TLibCommon_vc10.vcxproj
===================================================================
--- trunk/build/vc10/TLibCommon_vc10.vcxproj	(revision 540)
+++ trunk/build/vc10/TLibCommon_vc10.vcxproj	(revision 713)
@@ -148,4 +148,5 @@
     <ClCompile Include="..\..\source\Lib\libmd5\libmd5.c" />
     <ClCompile Include="..\..\source\Lib\TLibCommon\SEI.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibCommon\TCom3DAsymLUT.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibCommon\TComBitStream.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibCommon\TComCABACTables.cpp" />
@@ -180,4 +181,5 @@
     <ClInclude Include="..\..\source\Lib\TLibCommon\NAL.h" />
     <ClInclude Include="..\..\source\Lib\TLibCommon\SEI.h" />
+    <ClInclude Include="..\..\source\Lib\TLibCommon\TCom3DAsymLUT.h" />
     <ClInclude Include="..\..\source\Lib\TLibCommon\TComBitCounter.h" />
     <ClInclude Include="..\..\source\Lib\TLibCommon\TComBitStream.h" />
Index: trunk/build/vc10/TLibEncoder_vc10.vcxproj
===================================================================
--- trunk/build/vc10/TLibEncoder_vc10.vcxproj	(revision 540)
+++ trunk/build/vc10/TLibEncoder_vc10.vcxproj	(revision 713)
@@ -147,4 +147,5 @@
     <ClCompile Include="..\..\source\Lib\TLibEncoder\SEIwrite.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibEncoder\SyntaxElementWriter.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibEncoder\TEnc3DAsymLUT.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibEncoder\TEncAnalyze.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibEncoder\TEncBinCoderCABAC.cpp" />
@@ -169,4 +170,5 @@
     <ClInclude Include="..\..\source\Lib\TLibEncoder\SEIwrite.h" />
     <ClInclude Include="..\..\source\Lib\TLibEncoder\SyntaxElementWriter.h" />
+    <ClInclude Include="..\..\source\Lib\TLibEncoder\TEnc3DAsymLUT.h" />
     <ClInclude Include="..\..\source\Lib\TLibEncoder\TEncAnalyze.h" />
     <ClInclude Include="..\..\source\Lib\TLibEncoder\TEncBinCoder.h" />
Index: trunk/build/vc9/TLibCommon_vc9.vcproj
===================================================================
--- trunk/build/vc9/TLibCommon_vc9.vcproj	(revision 540)
+++ trunk/build/vc9/TLibCommon_vc9.vcproj	(revision 713)
@@ -300,4 +300,8 @@
 			</File>
 			<File
+				RelativePath="..\..\source\Lib\TLibCommon\TCom3DAsymLUT.cpp"
+				>
+			</File>
+			<File
 				RelativePath="..\..\source\Lib\TLibCommon\TComBitStream.cpp"
 				>
@@ -426,4 +430,8 @@
 			</File>
 			<File
+				RelativePath="..\..\source\Lib\TLibCommon\TCom3DAsymLUT.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\source\Lib\TLibCommon\TComBitCounter.h"
 				>
Index: trunk/build/vc9/TLibEncoder_vc9.vcproj
===================================================================
--- trunk/build/vc9/TLibEncoder_vc9.vcproj	(revision 540)
+++ trunk/build/vc9/TLibEncoder_vc9.vcproj	(revision 713)
@@ -295,4 +295,8 @@
 			</File>
 			<File
+				RelativePath="..\..\source\Lib\TLibEncoder\TEnc3DAsymLUT.cpp"
+				>
+			</File>
+			<File
 				RelativePath="..\..\source\Lib\TLibEncoder\TEncAnalyze.cpp"
 				>
@@ -377,4 +381,8 @@
 			<File
 				RelativePath="..\..\source\Lib\TLibEncoder\SyntaxElementWriter.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\source\Lib\TLibEncoder\TEnc3DAsymLUT.h"
 				>
 			</File>
